quotacheck(8)

NAZWA
quotacheck - przeszukanie systemu plików w celu określenia wykorzystania dysku oraz utworzenia, sprawdzenia i naprawy plików kwot

SKŁADNIA
quotacheck [ -gubcfinvdMmR ] [ -F nazwa-formatu ] -a | system-plików

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

quotacheck bada każdy z systemów plików, tworzy tablicę zajętości dysku i porównuje ją z tablicą zapisaną w pliku kwot dyskowych systemu plików (krok ten jest pomijany w przypadku podania opcji -c). Jeśli stwierdzone zostaną rozbieżności, to aktualizowane są zarówno plik kwot, jak i aktualna systemowa kopia nieprawidłowych kwot (to ostatnie ma miejsce jedynie podczas sprawdzania aktywnego systemu plików, co nie jest zalecane). Domyślnym zachowaniem jest sprawdzanie jedynie kwot dyskowych użytkowników. quotacheck oczekuje, że każdy ze sprawdzanych systemów plików zawiera pliki kwot o nazwach [a]quota.user i [a]quota.group, umieszczone w głównym katalogu danego systemu plików. Jeśli plik nie istnieje, to quotacheck go utworzy.

Jeśli plik kwot jest uszkodzony, to quotacheck spróbuje zachować tyle danych, ile będzie możliwe. Odzyskiwanie danych może wymagać interwencji użytkownika. Bez dodatkowych opcji, quotacheck w takiej sytuacji po prostu zakończy pracę. W trybie interakcyjnym (opcja -i), użytkownik jest proszony o poradę. Porady można udzielić z linii poleceń (patrz opcja -n), co jest przydatne podczas automatycznego uruchamiania quotacheck (np. ze skryptu) i niepowodzenie jest nie do przyjęcia.

quotacheck powinno być uruchamiane każdorazowo gdy system startuje i montuje niepoprawne systemy plików. Najczęściej zdarza się to po awarii systemu.

Jest wysoce zalecane, aby uruchamiać quotacheck przy wyłączonych dla danego systemu plików kwotach. W przeciwnym razie, mogą wystąpić uszkodzenia lub utrata danych w plikach kwot. Nie jest również rozsądnym uruchamianie quotacheck na aktywnym systemie plików, gdyż aktualne zużycie zasobów może ulec zmianie podczas przeszukiwania. Aby temu zapobiec, quotacheck próbuje przełączyć system plików w tryb "tylko do odczytu", zanim rozpocznie przeszukiwanie. Po zakończeniu przeszukiwania system plików jest przełączany w tryb "do odczytu i zapisu". Można to wyłączyć za pomocą opcji -m. Można również za pomocą opcji -M spowodować, aby quotacheck ignorował niepomyślne przełączenie systemu plików w tryb "tylko do odczytu".

OPCJE

-b  Wymuszenie tworzenia przez quotacheck kopii zapasowych pliku kwot przed zapisaniem nowych danych.

-v  Sygnalizowanie przez quotacheck postępu operacji. Normalnie, działa on po cichu.

-d  Tryb odpluskwiania. Podaje mnóstwo informacji, które mogą posłużyć do wyszukiwania błędów w programie. Wynik jest bardzo rozgadany a przeszukiwanie nie powolne.

-u  Sprawdzanie jedynie kwot dyskowych użytkowników na systemach plików wymienionych w /etc/mtab lub podanych w linii poleceń. Jest to zachowanie domyślne.

-g  Sprawdzanie jedynie kwot dyskowych grup na systemach plików wymienionych w /etc/mtab lub podanych w linii poleceń.

-c  Nie czytanie istniejących plików kwot. Po przostu wykonanie przeszukania i zapisanie jego wyników na dyaku. quotacheck pominie również poszukiwanie starych plików kwot, gdy ich nie znajdzie.

-f  Wymuszenie sprawdzania systemu plików przy włączonych kwotach. Jest to niezalecane, gdyż utworzone pliki kwot mogą być nieaktualne.

-M  Opcja ta wymusza sprawdzanie systemu plików w trybie "do odczytu i zapisu", gdy przełączenie w tryb "tylko do odczytu" się nie powiedzie. Należy to robić, gdy ma się pewność, że żaden proces nie zapisuje na przeszukiwanym systemie plików.

-m  Ominięcie próby przełączenia systemu plików w tryb "tylko do odczytu". Patrz komentarz do opcji -M.

-i  Tryb interakcyjny. Domyślnie, quotacheck kończy pracę po wykryciu błędu. W trybie interakcyjnym użytkownik jest pytany o decyzję. Zobacz opcję -n.

-n  Jeśli plik kwot jest uszkodzony, mogą pojawić się podwójne wpisy dla poszczególnych identyfikatorów użytkowników lub grup. Normalnie, w takiej sytuacji quotacheck kończy pracę lub pytz użytkownika o decyzję. Przy włączonej tej opcji, używany jest zawsze pierwszy wpis (działa ona również w trybie interakcyjnym).

-F nazwa-formatu
    Sprawdzanie kwot według podanego formatu (tzn. nie jest wykonywana autodetekcja formatu). Jest to zalecane, gdyż detekcja może nie działać poprawnie w przypadku uszkodzonych plików kwot. Dozwolone są następujące nazwy formatów: vfsold (wersja 1 kwot), vfsv0 (wersja 2 kwot), rpc (kwoty na NFS), xfs (kwoty na systemie plików XFS)

-a  Sprawdzanie wszystkich zamontowanych, różnych od NFS systemów plików wymienionych w /etc/mtab

-R  Używane w połączeniu z opcją -a powoduje sprawdzenie kwot na wszystkich systemach plików, oprócz głównego.

UWAGA
quotacheck powinno być uruchamiane tylko przez superużytkownika. Użytkownicy nieuprzywilejowani przypuszczalnie nie mają praw do odczytu wszystkich katalogów danego systemu plików.

ZOBACZ TAKŻE
quota(1), quotactl(2), fstab(5), quotaon(8), repquota(8), convertquota(8), setquota(8), edquota(8), fsck(8), efsck(8), e2fsck(8), xfsck(8)

PLIKI
aquota.user i aquota.group
    pliki kwot umieszczone w głównym katalogu systemu plików (wersja 2 kwot, systemy plików inne niż XFS)
quota.user i quota.group
    pliki kwot umieszczone w głównym katalogu systemu plików (wersja 1 kwot, systemy plików inne niż XFS)
/etc/mtab
    nazwy i lokalizacja zamontowanych systemów plików

AUTOR
Jan Kara <jack@suse.cz>
W oparciu o starą wersję quotacheck autorstwa:
Edvarda Tuindera <ed@elm.net>
Marco van Wieringena <mvw@planets.elm.net>

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:
    man --locale=C 8 quotacheck
Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.